﻿@{
    ViewBag.Title = "لیست درخواست های 'در حال پردازش' دریافت وجه ریالی";
}

<div class="alert alert-info">
    لطفا آیتم های مورد نظر خود را انتخاب و بر روی یکی از دکمه های "واریز شد" یا "تغییر وضعیت به در حال بررسی" کلیک نمایید
</div>

@Html.Partial("~/Areas/Admin/Views/Partial/_ShowMessage.cshtml")

<div class="row">
    <div class="col-lg-12">
        <button id="btnPaid" class="btn btn-return">با موفقیت واریز شد</button>
        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        <button id="btnNotPaid" class="btn btn-danger">تغییر وضعیت به در حال بررسی</button>
    </div>
</div>
<br />

<div class="row">
    <div class="col-lg-12">
        <table id="miyazaki" class="tbl-grid" style="width: 100%;">
            <thead>
                <tr>
                    <th>
                        <input type="checkbox" id="selectAll" /> انتخاب همه
                    </th>
                    <th>
                        کد شناسایی
                    </th>
                    <th>
                        مالک حساب
                    </th>
                    <th>
                        مبلغ
                    </th>
                    <th>
                    </th>
                    <th>
                        بانک
                    </th>
                    <th>
                        تاریخ ثبت
                    </th>
                </tr>
            </thead>
            <tbody id="rowsWrap">
            </tbody>
        </table>
        <p class="empty-label"></p>
    </div>
</div>

@section scripts {

    <script src="~/Content/lib/js/ajax.js"></script>
    <script src="~/Content/admin/js/messagebox.js"></script>
    <script>
    $(function () {

        // ------------------------------- page.load() -------------------------------
        loadRequests();



        // ---------------------------------- events -------------------------------
        $("#selectAll").change(function () {
            // انتخاب همه
            var checked = $(this).prop('checked');
            $('#rowsWrap').find('input:checkbox').prop('checked', checked);
        });

        $("#btnPaid").click(function ()
        {
            paid();
        });

        $("#btnNotPaid").click(function () {
            notPaid();
        });

        // ------------------------------- functions -------------------------------
        function loadRequests()
        {
            // لود لیست بستانکاران
            Ajax('GET', '/Admin/RialWithdrawalRequest/GetRequests', { 'status': 'OnProcessing' }, function (response, status, xhr)
            {
                $("#rowsWrap").html('');

                if (response.Data.length == 0) {
                    $(".empty-label").html('موردی یافت نشد ...');
                }
                else {
                    $(".empty-label").html('');

                    $(response.Data).each(function (index, item) {
                        $("#rowsWrap").append(
                        '<tr>\
                            <td><input type="checkbox" class="checkboxitem" value="'+ item.Id + '" /></td>\
                            <td>' + item.RowGuid + '</td>\
                            <td>' + item.UserFullName + '(' + item.UserId + ')</td>\
                            <td>' + numberWithCommas(item.Price) + ' ریال</td>\
                            <td>\
                                شبا: ' + item.ShabaNumber + '\
                            <br />\
                                حساب: ' + item.AccountNumber + '\
                            <br />\
                                کارت: ' + item.CardNumber + '\
                            </td>\
                            <td>' + item.BankName + '</td>\
                            <td>' + item.CreatedOnFa + '</td>\
                        </tr>');
                    });
                }

            }, 'json');
        }



        function paid()
        {
            // تغییر وضعیت درخواست ها به واریز شده
            var ids = getSelectedRequestIds();

            if (ids.length == 0) {
                showMessageBox('هیچ گزینه ای انتخاب نشده است');
            }
            else {
                Ajax('POST', '/Admin/RialWithdrawalRequest/ChangeRequestsStatusToPaid', { 'requestIds': ids }, function (response, status, xhr) {

                    if (response.HaveError) {
                        showMessageBox(response.Message);
                    }
                    else {
                        showMessageBox('تغییر وضعیت آیتم ها به واریز شده، با موفقیت انجام شد');
                    }

                    loadRequests();

                }, 'json');
            }

        }

        function notPaid()
        {
            // تغییر وضعیت درخواست ها به در حال بررسی
            // بروز رسانی فیلد تاریخ آپدیت
            var ids = getSelectedRequestIds();

            if (ids.length == 0) {
                showMessageBox('هیچ گزینه ای انتخاب نشده است');
            }
            else {
                Ajax('POST', '/Admin/RialWithdrawalRequest/ChangeRequestsStatusToPanding', { 'requestIds': ids }, function (response, status, xhr) {

                    if (response.HaveError) {
                        showMessageBox(response.Message);
                    }
                    else {
                        showMessageBox('تغییر وضعیت آیتم ها به در حال بررسی، با موفقیت انجام شد');
                    }

                    loadRequests();

                }, 'json');
            }

        }


        function getSelectedRequestIds()
        {
            // دریافت لیست آی دی درخواست های انتخاب شده
            var selectedRequestIds = new Array();

            $("#rowsWrap .checkboxitem:checked").each(function () {
                selectedRequestIds.push($(this).val());
            });

            return selectedRequestIds;
        }

        function numberWithCommas(x) {
            // جداکننده سه رقم سه رقم مبالغ
            return x.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
        }

    });
    </script>

}